Subject: bug#55668: Extending the `C-x 8' map to include macrons

From: Tor Kringeland <[email-masked]>
Date: Fri, 27 May 2022 01:03:10 +0000

Currently `C-x 8 -' produces `' (soft hyphen).  Finding uses of words
in English texts with letters with macrons are not uncommon.  For
example, it is the preferred way to write Māori names (and other words)
and Japanese names (e.g., Dōgen), since macrons denote a longer sound
which is often lost when reading these words the "default" way in
English.

I suggest chaning the `C-x 8' to add macrons to letters after `C-x 8 -'
and move the current `C-x 8 -' to `C-x 8 - -'.  Something similar was
done a while ago with `C-x 8 .' being moved to `C-x 8 . .' to allow for
new character compositions.

(It could be said that `C-x 8 _' be used, but it already has an entry
for `C-x 8 _ o' and it's not `ō'.)